%define realname   Net-OpenDHT

Name:		perl-%{realname}
Version:    0.32
Release:    %mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
Summary:    Module to access the Open Distributed Hash Table (Open DHT)
Source0:    http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{realname}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel perl-App-Cache perl-Class-Accessor-Chained 
BuildArch:      noarch

%description
The Net::OpenDHT module provides a simple interface to the Open DHT service. 
Open DHT is a publicly accessible distributed hash table (DHT) service. In 
contrast to the usual DHT model, clients of Open DHT do not need to run a 
DHT node in order to use the service. Instead, they can issue put and get 
operations to any DHT node, which processes the operations on their behalf. No
credentials or accounts are required to use the service, and the available 
storage is fairly shared across all active clients.

This service model of DHT usage greatly simplifies deploying client 
applications. By using Open DHT as a highly-available naming and storage 
service, clients can ignore the complexities of deploying and maintaining 
a DHT and instead concentrate on developing more sophisticated distributed 
applications.

What this essentially gives you as a Perl author is robust storage for a small 
amount of data. This can be used as a distributed cache or data store.

Read the following for full semantics about the Open DHT:

  http://opendht.org/users-guide.html


%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Sep 21 2005 Michael Scherer <misc@mandriva.org> 0.32-1mdk
- First mandriva package
